STRCMP(3) | Library Functions Manual | STRCMP(3)

# NAME

`strcmp`, `strncmp` —
compare strings

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <string.h>`

int
`strcmp`(const char *s1, const char *s2);

int
`strncmp`(const char *s1, const char *s2, size_t len);

# DESCRIPTION

The `strcmp`() and `strncmp`() functions lexicographically compare the nul-terminated strings s1 and s2.

# RETURN VALUES

The `strcmp`() and `strncmp`() functions return an integer greater than, equal to, or less than 0, according to whether the string s1 is greater than, equal to, or less than the string s2. The comparison is done using unsigned characters, so that ‘`\200`’ is greater than ‘`\0`’.

The `strncmp`() function compares not more than len characters.

# SEE ALSO

bcmp(3), memcmp(3), strcasecmp(3), strcoll(3), strxfrm(3)

# STANDARDS

The `strcmp`() and `strncmp`() functions conform to ANSI X3.159-1989 (“ANSI C89”).

# NOTES

If len is 0, `strncmp`() always returns 0.

June 4, 1993 | NetBSD 9.4